﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Silverlight.Map;

namespace SilverlightApplication51
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void statesLayer_Imported(object sender, Infragistics.Silverlight.Map.MapLayerImportEventArgs e)
        {
            if (e.Action == MapLayerImportAction.End)
            {
                // Find Element using Name property
                MapElement newYork = map1.Layers[0].Elements.FindElement("Name", "New York").ElementAt<MapElement>(0);

                // Get Point data from Cartesian coordinates
                Point nyOrigin = new Point(newYork.WorldRect.X + 350000, newYork.WorldRect.Y + 300000);

                // Create Element
                SymbolElement element = new SymbolElement() { SymbolOrigin = nyOrigin, Caption = "Best Pizzarias", SymbolType = MapSymbolType.None, SymbolSize = 20 };

                // Assign arbitrary value so that Value Template can be used
                element.Value = 1;
              
                // Make enough space in layer for the added shape
                Rect worldRect = map1.Layers[1].WorldRect;
                worldRect.Union(element.WorldRect);
                map1.Layers[1].WorldRect = worldRect;

                map1.Layers[1].Elements.Add(element);

            }
        }
    }
}
